@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');



*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    width: 100%;
    height:100%;
    overflow-x: hidden;    
}

:root {
  --primary-color: #f84a00;
}


p{
    color: #040E26;    
}
a{
    text-decoration: none;
    color: inherit;
}

.bg-grey{
    background-color: gainsboro;
}

/*Header Code Starts*/

header{
    position: relative;
    z-index: 10;
}
.top-header{
    width: 100%;
    height: 2.5rem;
    background-color: #000000;
}
.bottom-header{
    width: 100%;
    height: 6rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}
.header-logo{
    width: 15%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.header-logo img{
    max-height: 5rem;
}
.header-navbar{
    width: 60%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.header-navbar ul{
    width: 100%;
    display: flex;
    justify-content: center;
    list-style: none;
    margin: 0;
}
li.nav-btn {
    padding: 15px;
    font-weight: 600;
    padding-bottom: 5px;
}
.header-navbar .nav-btn:hover{
    /*background-color: var(--primary-color);*/
    border-bottom: 3px solid var(--primary-color);
    height: 100%;
    /*border-radius: 5px;*/
}
.header-navbar .nav-btn.active{
    /*background-color: var(--primary-color);*/
    border-bottom: 3px solid var(--primary-color);
    height: 100%;
    /*border-radius: 5px;*/
}
.header-buttons{
    width: 15%;
    height: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    font-size: 25px;
}
.header-button-box{
    width: 35px;
    height: 35px;
    position: relative;
    /*border: 1px solid black;*/
}
.cart-count{
    width: 17px;
    height: 17px;
    border-radius: 50%;
    background-color: red;
    position: absolute;
    top: -5px;
    right: -5px;
}
.cart-count p{
    font-size: 10px;
    text-align: center;
    color: #ffffff;
    font-weight: 900;
}
.custom-dropdown{
    position: absolute;
    width: 100%;
    height: 25rem;
    background-color: #ffffff;
    margin: auto;
    margin-top: 5px;
    border-radius: 0 0 20px 20px;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;

    /* animation setup */
    opacity: 0;
    visibility: hidden;
    transform: translateY(15px);
    transition: 
        opacity 0.3s ease,
        transform 0.3s ease,
        visibility 0.3s;
}

/* ACTIVE STATE */
.custom-dropdown.active{
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.menu-dropdown{
    display: flex;
    justify-content: space-between;
}
.menu-dropdown ul{
    list-style: none;
    padding: 0;
    line-height: 30px;
}
.dropdown-img{
     height: 100%;
}
.dropdown-img img{
    width: 100%;
    max-height: 100%;
    object-fit: contain;
    border-radius: 20px;
}
/*Header Code Ends*/



/*swiper starts*/
    .swiper {
      width: 100%;
      height: 100%;
    }

    .swiper-slide {
      text-align: center;
      font-size: 18px;
      background: #444;
      display: flex;
      justify-content: center;
      align-items: center;
    }

    .swiper-slide img {
      display: block;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
    
    .mymultiSwiper .swiper-slide{
        height: 200px;
        background-color: #ffffff;
    }
    
    .mymultiSwiper .swiper-slide img{
        height: 100px;
        width: auto;
    }
    
    .testimonialSwiper{
        
    }
    .testimonialSwiper .swiper-slide{
        background: transparent;
    }
    .testimonial-card{
        width: 80%;
        height: 90%;
        background-color: #ffffff;
        padding: 20px;
        text-align: start;
        border-radius: 20px;
        box-shadow: rgba(0, 0, 0, 0.4) 0px 2px 4px, rgba(0, 0, 0, 0.3) 0px 7px 13px -3px, rgba(0, 0, 0, 0.2) 0px -3px 0px inset;
    }
    
/*swiper ends*/    

/*Before After Image Start*/
.separator{
    z-index: 1 !important;
}
/*Before After Image End*/



/*.hero-section{
    width: 100%;
    height: 350px;
}*/
.hero-section{
    width: 100%;
    max-height: 32rem;
    background-color: red;
}

.title-box{
    border-right: 3px solid #079A48;
}

.viewmore-box{
    display: flex;
    justify-content: right;
    align-items: center;
}

.view-btn{
    background-color: #079A48;
    color: #ffffff;
    font-weight: 700;
}


.title1{
    margin: 0;
    font-family: "Rubik", sans-serif;
    font-weight: 600;
    font-style: normal;
    color: #f84a00;
}

.title2{
    font-family: "Oswald", sans-serif;
    font-weight: 500;
    font-style: normal;
    color: #f84a00;
}


.category-container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;    
}

.category-card-1{
    width: 100%;
    height: 20rem;
    border-radius: 20px;
    transition: 0.3s;
}
.category-card-1:hover{
    box-shadow: rgb(248 0 0 / 30%) 0px 19px 38px, rgb(248 0 0 / 22%) 0px 15px 12px;
}

.category-card-2{
    width: 100%;
    height: 15rem;
    border-radius: 20px;
    transition: 0.3s;
}
.category-card-2:hover{
    box-shadow: rgb(248 0 0 / 30%) 0px 19px 38px, rgb(248 0 0 / 22%) 0px 15px 12px;
}

.category-overlay{
    width: 100%;
    height: 100%;
    border-radius: 20px;
    background-color: #0000008f;
    display: flex;
    justify-content: end;
    align-items: end;
}

.section-header{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.topic {
    text-align: center;
    min-width: 30%;
}
.sub-topic{
    text-align: center;
    width: 50%;
}

.progress{
    height: 5px;
}
.progress-bar{
    background-color: var(--primary-color) !important;
}

.topic2 {
    width: fit-content;
    /*border: 1px solid black;*/
    border-radius: 0 15px;
    background-color: var(--primary-color);
    color: #ffffff;
}
.section-header2 {
    display: flex;
    align-items: center;
}
.section-header2:after {
    background-color: var(--primary-color);
    content: "";
    display: inline-block;
    height: 3px;
    position: relative;
    vertical-align: middle;
    width: 85%;
    /* left: 0.5em; */
    margin-right: -10%;
}



.counter{
    width: 75px;
    height: 75px;
    background-color: #f84a00;
    color: #ffffff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    padding: 10px;
}
.counter h3{
    font-family: "Oswald", sans-serif;
    font-weight: 500;
    font-style: normal;
    color: #ffffff;
}
.top-deal-card{
    border-radius: 20px;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 0.0625em 0.0625em, rgba(0, 0, 0, 0.25) 0px 0.125em 0.5em, rgba(255, 255, 255, 0.1) 0px 0px 0px 1px inset;
    /*box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;*/
}


.product-card-container{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 15px;
    margin-bottom: 15px;
}
.product-card{
    width: 250px;
    min-height: 350px;
    height: 100%;
    padding: 10px;
    border-radius: 10px;
    /*text-align: center;*/
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
    overflow: hidden;
    transition: box-shadow 0.3s ease;
}
.product-card:hover{
    box-shadow: rgb(248 0 0 / 30%) 0px 19px 38px, rgb(248 0 0 / 22%) 0px 15px 12px;
}

.product-card img{
    max-width: 230px;
    max-height: 230px;
    overflow: hidden;
}
.sale-tag{
    position: absolute;
    right: 0;
    padding: 2px 8px 2px 8px;
    background-color: red;
    color: #ffffff;
    font-weight: 800;
}
.price{
    color: var(--primary-color);
    font-weight: 600;
}


.quick-links{
    width: 100%;
    height: 150px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: end;
    position: absolute;
    left: 50px;
    top: 50px;
    
    transition: left 0.3s ease;
}

.quick-links-button {
    width: 40px;
    height: 40px;
    border-radius: 100%;
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: larger;
    cursor: pointer;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}
.quick-links-button:hover{
    box-shadow: rgb(248 0 0 / 30%) 0px 19px 38px, rgb(248 0 0 / 22%) 0px 15px 12px;
}
.quick-links-button i{
    color: #000000;
}

.product-card:hover .quick-links{
    position: absolute;
    left: -10px;
    top: 50px;
}

.fa-solid.fa-heart {
    color: var(--primary-color);
}

.yt-reel{
    width: 100%;
    height: 350px;
}


#productquickview .modal-body{
    height: 30rem;
}

.shopping-cart-card {
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
    padding: 10px;
}
.close-btn{
    font-size: small;
    text-align: right;
    /*position: absolute;*/
    cursor: pointer;
}

.offcanvas-body::-webkit-scrollbar {
    display: none;
}


.custom-primary-btn{
    width: 80%;
    border-radius: 10rem;
    font-weight: 700;
    background-color: #0089c9;
    color: #ffffff;
    border: 0;
}
.custom-theme-btn{
    width: 80%;
    border-radius: 10rem;
    font-weight: 700;
    background-color: var(--primary-color);
    color: #ffffff;
    border: 0;
}


/*Counter Css Starts*/
.quantity {
  width: max-content;
  display: flex;
  border: 2px solid #3498db;
  border-radius: 4px;
  overflow: hidden;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.quantity button {
  background-color: #3498db;
  color: #fff;
  border: none;
  cursor: pointer;
  /*font-size: 20px;*/
  width: 25px;
  height: auto;
  text-align: center;
  transition: background-color 0.2s;
}

.quantity button:hover {
  background-color: #2980b9;
}

.input-box {
  width: 30px;
  text-align: center;
  border: none;
  /*padding: 8px 10px;*/
  /*font-size: 16px;*/
  outline: none;
}

/* Hide the number input spin buttons */
.input-box::-webkit-inner-spin-button,
.input-box::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.input-box[type="number"] {
  -moz-appearance: textfield;
}
/*Counter Css Ends*/


.brands-container {
    width: 100%;
    min-height: 30rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url(https://polymertubing.in/bike_accessories/assets/images/worldmap.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-color: black;
    background-position-x: center;
}
.brands{
    width: 100%;
    height: 100px;
    background: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 15px;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 0.0625em 0.0625em, rgba(0, 0, 0, 0.25) 0px 0.125em 0.5em, rgba(255, 255, 255, 0.1) 0px 0px 0px 1px inset;
    /*box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px, rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;*/
}


/*Products Page Starts*/
.breadcrumb-banner{
    width: 100%;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url(https://polymertubing.in/bike_accessories/assets/images/breadcrumb-banner.png);
    background-size: cover;
    background-repeat: no-repeat;
    /*background-color: red;*/
}
.filters{
    width: 100%;
    height: 100vh;
    box-shadow: rgba(0, 0, 0, 0.15) 2.4px 2.4px 3.2px;
}

.product-thumbnail--holder{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.product-thumbnail-img{
    width: 100px;
    height: 100px;
    overflow: hidden;
}

.zoom-product-img{
    width: 20rem;
    height: 20rem;
    position: absolute;
}

.main-product-image-holder {
    max-width: 25rem;
    max-height: 25rem;
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

.main-product-image-holder img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}



/*Products Page Ends*/


/*Products Detail Page Starts*/
.nav-tabs .nav-link{
    color: #393737;
    font-weight: 500;
}

.nav-tabs .nav-link.active{
    color: var(--primary-color);
    font-weight: 900;
    background-color: #fff;
    border-color: #dee2e6 #dee2e6 #fff;
    border-top: 2px solid var(--primary-color);
}

.tab-content{
    padding: 20px;
}

/*Products Detail Page Ends*/



/*Cart Page Starts*/
    .cart-total-container{
        box-shadow: rgba(0, 0, 0, 0.25) 0px 0.0625em 0.0625em, rgba(0, 0, 0, 0.25) 0px 0.125em 0.5em, rgba(255, 255, 255, 0.1) 0px 0px 0px 1px inset;
    }
/*Cart Page Ends*/

/*Checkout Page Starts*/
    
/*Checkout Page Ends*/



footer{
    /*margin-top: 3rem;*/
    box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px, rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
}

.advantages-card-container{
    background-color: #000000;
    border-bottom: 1px solid #ffffff;
}

.advantages-card{
        background: transparent;
    border: none;
}

.upper-footer{
    width: 100%;         
    min-height: 15rem;
    background-color: #000000;
    border-bottom: 1px solid #ffffff;
}
.upper-footer h5{
    font-weight: 600;
    border-bottom: 2px solid #f84a00;
    color: #ffffff;
}
.upper-footer p{
    font-weight: 600;
    color: #ffffff;
}
.upper-footer ul{
    list-style: none;
}

.lower-footer{
    width: 100%;
    min-height: 2rem;
    background-color: #000000;
    color: #ffffff;
    font-weight: 600;
}


/*Login Page Starts*/
.login-section{
}
/*Login Page Ends*/


/*@media (min-width: 100px) and (max-width: 760px) {
    header{
        height: 14rem;
        position: relative;
        z-index: 10;
    }
}

@media (min-width: 760px) and (max-width: 1150px) {
    header{
        height: 11rem;
        position: relative;
        z-index: 10;
    }
}*/


